%define upstream_name    Digest-SHA-PurePerl
%define upstream_version 5.95

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl implementation of SHA-1/224/256/384/512
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/M/MS/MSHELOR/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(FileHandle)
BuildRequires: perl-devel
BuildArch:  noarch

Conflicts:   perl-Digest-SHA < 5.610.0-2.mga

%description
Digest::SHA::PurePerl is a complete implementation of the NIST
Secure Hash Standard.  It gives Perl programmers a convenient way
to calculate SHA-1, SHA-224, SHA-256, SHA-384, and SHA-512 message
digests.  The module can handle all types of input, including
partial-byte data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor -d
%make

%{__make} test

%install
%makeinstall_std
# to prevent conflict with perl-Digest-SHA
mv %{buildroot}/%{_bindir}/shasum %{buildroot}/%{_bindir}/shasum.pl

%files 
%doc Changes META.yml MYMETA.yml README examples
%{perl_vendorlib}/Digest/SHA/PurePerl.pm
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_bindir}/*

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 5.950.0-4pclos2017
- rebuild against updates

